//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.HashMap;
import java.util.Map;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}project"/&gt;
 *         &lt;element ref="{}datasets" minOccurs="0"/&gt;
 *         &lt;element ref="{}scenarios" minOccurs="0"/&gt;
 *         &lt;element ref="{}ids" minOccurs="0"/&gt;
 *         &lt;element ref="{}terminology" minOccurs="0"/&gt;
 *         &lt;element ref="{}rules" minOccurs="0"/&gt;
 *         &lt;element ref="{}issues" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{}DecorCompilationAttributes"/&gt;
 *       &lt;attribute name="repository" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *       &lt;attribute name="private" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *       &lt;attribute name="release" type="{}SmallNonNegativeInteger" fixed="1000" /&gt;
 *       &lt;anyAttribute processContents='skip' namespace='##other'/&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "project",
    "datasets",
    "scenarios",
    "ids",
    "terminology",
    "rules",
    "issues"
})
@XmlRootElement(name = "decor")
public class Decor {

    @XmlElement(required = true)
    private Project project;
    private Datasets datasets;
    private Scenarios scenarios;
    private Ids ids;
    private Terminology terminology;
    private Rules rules;
    private Issues issues;
    @XmlAttribute(name = "repository")
    private Boolean repository;
    @XmlAttribute(name = "private")
    private Boolean _private;
    @XmlAttribute(name = "release")
    private Integer release;
    @XmlAttribute(name = "versionDate")
    private String versionDate;
    @XmlAttribute(name = "versionLabel")
    private String versionLabel;
    @XmlAttribute(name = "compilationDate")
    private String compilationDate;
    @XmlAttribute(name = "language")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    private String language;
    @XmlAttribute(name = "deeplinkprefix")
    @XmlSchemaType(name = "anyURI")
    private String deeplinkprefix;
    @XmlAttribute(name = "deeplinkprefixservices")
    @XmlSchemaType(name = "anyURI")
    private String deeplinkprefixservices;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<>();

    /**
     * Informationen zum Projekt
     * 
     * @return
     *     possible object is
     *     {@link Project }
     *     
     */
    public Project getProject() {
        return project;
    }

    /**
     * Sets the value of the project property.
     * 
     * @param value
     *     allowed object is
     *     {@link Project }
     *     
     */
    public void setProject(Project value) {
        this.project = value;
    }

    /**
     * Data Set Definition
     * 
     * @return
     *     possible object is
     *     {@link Datasets }
     *     
     */
    public Datasets getDatasets() {
        return datasets;
    }

    /**
     * Sets the value of the datasets property.
     * 
     * @param value
     *     allowed object is
     *     {@link Datasets }
     *     
     */
    public void setDatasets(Datasets value) {
        this.datasets = value;
    }

    /**
     * Scenario Definition, mit Aktoren, Transaktionen, Modellem, Kardinalitäten, Konformitätsangaben
     * 
     * @return
     *     possible object is
     *     {@link Scenarios }
     *     
     */
    public Scenarios getScenarios() {
        return scenarios;
    }

    /**
     * Sets the value of the scenarios property.
     * 
     * @param value
     *     allowed object is
     *     {@link Scenarios }
     *     
     */
    public void setScenarios(Scenarios value) {
        this.scenarios = value;
    }

    /**
     * Genutzte Identifikatoren, nur zur Anzeige
     * 
     * @return
     *     possible object is
     *     {@link Ids }
     *     
     */
    public Ids getIds() {
        return ids;
    }

    /**
     * Sets the value of the ids property.
     * 
     * @param value
     *     allowed object is
     *     {@link Ids }
     *     
     */
    public void setIds(Ids value) {
        this.ids = value;
    }

    /**
     * Terminologische Definitionen
     * 
     * @return
     *     possible object is
     *     {@link Terminology }
     *     
     */
    public Terminology getTerminology() {
        return terminology;
    }

    /**
     * Sets the value of the terminology property.
     * 
     * @param value
     *     allowed object is
     *     {@link Terminology }
     *     
     */
    public void setTerminology(Terminology value) {
        this.terminology = value;
    }

    /**
     * Regeldefinitionen
     * 
     * @return
     *     possible object is
     *     {@link Rules }
     *     
     */
    public Rules getRules() {
        return rules;
    }

    /**
     * Sets the value of the rules property.
     * 
     * @param value
     *     allowed object is
     *     {@link Rules }
     *     
     */
    public void setRules(Rules value) {
        this.rules = value;
    }

    /**
     * Problemliste
     * 
     * @return
     *     possible object is
     *     {@link Issues }
     *     
     */
    public Issues getIssues() {
        return issues;
    }

    /**
     * Sets the value of the issues property.
     * 
     * @param value
     *     allowed object is
     *     {@link Issues }
     *     
     */
    public void setIssues(Issues value) {
        this.issues = value;
    }

    /**
     * Gets the value of the repository property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isRepository() {
        return repository;
    }

    /**
     * Sets the value of the repository property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRepository(Boolean value) {
        this.repository = value;
    }

    /**
     * Gets the value of the private property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPrivate() {
        return _private;
    }

    /**
     * Sets the value of the private property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPrivate(Boolean value) {
        this._private = value;
    }

    /**
     * Gets the value of the release property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public int getRelease() {
        if (release == null) {
            return  1000;
        } else {
            return release;
        }
    }

    /**
     * Sets the value of the release property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setRelease(Integer value) {
        this.release = value;
    }

    /**
     * Gets the value of the versionDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersionDate() {
        return versionDate;
    }

    /**
     * Sets the value of the versionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersionDate(String value) {
        this.versionDate = value;
    }

    /**
     * Gets the value of the versionLabel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersionLabel() {
        return versionLabel;
    }

    /**
     * Sets the value of the versionLabel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersionLabel(String value) {
        this.versionLabel = value;
    }

    /**
     * Gets the value of the compilationDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompilationDate() {
        return compilationDate;
    }

    /**
     * Sets the value of the compilationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompilationDate(String value) {
        this.compilationDate = value;
    }

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguage(String value) {
        this.language = value;
    }

    /**
     * Gets the value of the deeplinkprefix property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeeplinkprefix() {
        return deeplinkprefix;
    }

    /**
     * Sets the value of the deeplinkprefix property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeeplinkprefix(String value) {
        this.deeplinkprefix = value;
    }

    /**
     * Gets the value of the deeplinkprefixservices property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeeplinkprefixservices() {
        return deeplinkprefixservices;
    }

    /**
     * Sets the value of the deeplinkprefixservices property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeeplinkprefixservices(String value) {
        this.deeplinkprefixservices = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
